Summary: An extensible window manager for the X Window System.
Name: sawfish
Version: 0.30.3
Release: 10
Epoch: 1
Requires: librep >= 0.12, rep-gtk >= 0.13, rep-gtk-gnome
Copyright: GPL
Group: User Interface/Desktops
Source: http://download.sourceforge.net/sawfish/sawfish-%{version}.tar.gz
## If you add themes, be sure to add the tarball to the list
## down below in %install
Source1: CoolClean.tar.gz
Source2: BrushedMetalII.tar.gz
Source3: SawBoxL.tar.gz
Source4: Step.tar.gz
Source5: HeliX-gray.tar.gz
Source6: LockSmith.tar.gz
Source7: Gleam.tar.gz
Source8: STPshiny.tar.gz

##Patch: sawmill-0.26.patch
Patch: sawfish-redhatdefaults.patch
Patch1: sawfish-0.29-configure.in.patch
Patch2: sawfish-0.30.3-roottransients.patch
Patch3: sawfish-0.30.3-deleterace.patch
URL: http://sawfish.sourceforge.net/
Buildroot: /var/tmp/%{name}-root
Provides: windowmanager
Obsoletes: sawmill sawmill-gnome sawfish-gnome

%description
Sawfish is an extensible window manager which uses a Lisp-based
scripting language.  All window decorations are configurable and the
basic idea is to have as much user-interface policy as possible
controlled through the Lisp language.  Configuration can be
accomplished by writing Lisp code in a personal .sawfishrc file, or
using a GTK+ interface.  Sawfish is mostly GNOME compliant; if you
want to use it with GNOME, you'll need to install sawfish-gnome as
well..

%package themer
Summary: A GUI for creating sawfish window manager themes.
Group: User Interface/Desktops
Requires: %{name}, rep-gtk-libglade
Obsoletes: sawmill-themer


%description themer
The sawfish-themer package contains an optional theme builder for the
sawfish window manager. Sawfish-themer allows static window themes to
be created and edited in a graphical environment.

%prep
%setup -q
%patch -b .redhatdefaults -p1
%patch1 -p1 -b .gtk
%patch2 -p1 -b .roottransients
%patch3 -p1 -b .deleterace

%build
# autoconf for patch1
autoconf
%configure --with-readline
make host_type=%{_target_platform}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties
mkdir -p $RPM_BUILD_ROOT%{_datadir}/control-center
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Settings
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sawfish/%{version}/themes/
for tarball in \
    CoolClean.tar.gz \
    BrushedMetalII.tar.gz \
    SawBoxL.tar.gz \
    Step.tar.gz \
    HeliX-gray.tar.gz \
    LockSmith.tar.gz \
    Gleam.tar.gz \
    STPshiny.tar.gz ; do
     cp $RPM_SOURCE_DIR/$tarball $RPM_BUILD_ROOT%{_datadir}/sawfish/%{version}/themes/
done;


touch $RPM_BUILD_ROOT%{_bindir}/sawmill{,-client,-capplet,-ui,-themer}
chmod +x $RPM_BUILD_ROOT%{_bindir}/sawmill{,-client,-capplet,-ui,-themer}
%makeinstall GNOMEDIR=$RPM_BUILD_ROOT/%{_prefix} host_type=%{_target_platform}
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/sawfish*

%post
/sbin/install-info %{_infodir}/sawfish.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/sawfish.info.gz %{_infodir}/dir
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README NEWS FAQ THANKS BUGS TODO
%doc po/sawfish.pot nokogiri/WIDGETS nokogiri/WISHLIST
%{_bindir}/sawfish
%{_bindir}/sawfish-client
%{_bindir}/sawfish-ui
%{_bindir}/sawfish-capplet
%{_datadir}/sawfish/%{version}
%{_datadir}/control-center/Sawfish
%{_datadir}/gnome/apps/Settings/Sawfish
%{_datadir}/gnome/wm-properties/Sawfish.desktop
%{_datadir}/pixmaps/sawfish*.png
%{_libexecdir}/sawfish/%{version}/%{_target_platform}
%{_infodir}/sawfish*

%files themer
%defattr(-,root,root)
%{_bindir}/sawfish-themer
%dir %{_datadir}/sawfish/%{version}
%{_datadir}/sawfish/%{version}/themer.glade

%changelog
* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- Apply patch from John to fix race condition when hitting
  "OK" in the control center. Fixes bug 14789

* Sun Aug 13 2000 Owen Taylor <otaylor@redhat.com>
- Turn off position saving as it completely breaks in bad
  ways in some circumstances. (E.g, icon selection dialog
  for panel launcher.)

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Reimplement Aug 01 change (workspace keybindings), 
  don't know where this change went
- Bind next/prev workspace to S-M-Left S-M-Right instead 
  of C-Left C-Right

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Destroy the tooltips, because they suck

* Tue Aug 01 2000 Havoc Pennington <hp@redhat.com>
- Move workspace selection to global keymap
- Use (activate-workspace 1) instead of select-workspace:1

* Mon Jul 31 2000 Havoc Pennington <hp@redhat.com>
- Raise transients as well as parent on click

* Mon Jul 31 2000 Havoc Pennington <hp@redhat.com>
- Don't consider transients of the root window to be transient for 
  their window group

* Wed Jul 26 2000 Matt Wilson <msw@redhat.com>
- added Control+Alt+Delete to the global keymap, bound to gnome-logout
  (this displays a confirm menu by default)

* Tue Jul 25 2000 Matt Wilson <msw@redhat.com>
- nuke non-working themes, fixed CoolClean's shading
- bring up control center on button-2 customize menu
- don't warp cursor when cycling windows

* Mon Jul 24 2000 Matt Wilson <msw@redhat.com>
- 0.30.3

* Tue Jul 18 2000 Havoc Pennington <hp@redhat.com>
- Put raise-window-and-pass-through-click back
- remove iconify/deiconify groups together

* Tue Jul 18 2000 Matt Wilson <msw@redhat.com>
- work around for missing bindings

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- 0.30.2
- themer package also owns the %%{_datadir}/sawfish/%%{version} directory,
  fixes the "cannot remove /usr/share/sawfish/{version} - directory not empty"
  bug

* Tue Jul 11 2000 Havoc Pennington <hp@redhat.com>
- Changes from Jul 3 disappeared somehow; redo them (Move default
  config to custom-defaults.jl, and then change window-keymap per John
  Harper's suggestions)

* Mon Jul 10 2000 Matt Wilson <msw@redhat.com>
- 0.30
- gnome subpackage is gone

* Mon Jul 3 2000 Havoc Pennington <hp@redhat.com>
- Move default config to custom-defaults.jl, and then 
  change window-keymap per John Harper's suggestions

* Sun Jul 2 2000 Matt Wilson <msw@redhat.com>
- 0.29, turn on 'raise transient windows above parents'

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Owen fixed prelight behavior for window titles
- Focus windows when they first appear

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Don't bind button1-click1 to anything, and set raise timeout to 0.
  Hey, maybe this will work!
- Owen hacked CoolClean to have a nicer gradient

* Mon Jun 19 2000 Owen Taylor <otaylor@redhat.com>
- Remove button1-click1 entirely. Seems to work.

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Change button1-click1 to bind to focus-click

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- fixed post scripts to look in %%{_infodir} for info pages

* Sat Jun  17 2000 Havoc Pennington <hp@redhat.com>
- 0.28.1

* Fri Jun  16 2000 Havoc Pennington <hp@redhat.com>
- Go back to workspaces instead of viewports
- Turn off warp-to-focus-window
- put send-window-to-desktop keys in the per-window keymap

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- Fix patch application in spec file
- Put themes in datadir/sawfish/0.28 instead of datadir/sawfish

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- Add some new default settings
- Add more themes

* Mon Jun 12 2000 Matt Wilson <msw@redhat.com>
- 0.28
- FHS packaging

* Mon May 22 2000 Havoc Pennington <hp@redhat.com>
- rep-gtk version is .10, not .10.0

* Wed May 10 2000 Matt Wilson <msw@redhat.com>
- 0.27.1

* Fri Apr 28 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new librep (which is rebuilt against new libgmp)

* Mon Apr 24 2000 John Harper <john@dcs.warwick.ac.uk>
- s/sawmill/sawfish/

* Sat Apr 22 2000 Bill Nottingham <notting@redhat.com>
- rebuild against newer librep

* Mon Apr 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.26

* Mon Apr  3 2000 Bill Nottingham <notting@redhat.com>
- rebuild against new readline/ncurses

* Fri Mar 10 2000 Bill Nottingham <notting@redhat.com>
- 0.25.2

* Thu Feb 17 2000 Cristian Gafton <gafton@redhat.com>
- add %clean
- fix stupid useless defines at the start of the spec file.
- setup is -q

* Tue Feb 15 2000 Preston Brown <pbrown@redhat.com>
- provides windowmanager

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- update to 0.24

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- update to 0.23

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- update to 0.22

* Tue Jan 11 2000 Bill Nottingham <notting@redhat.com>
- make that 0.21.1

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.21

* Wed Nov 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- Use John's REP_GTK_DONT_INITIALIZE patch

* Fri Nov 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- use Xvfb so that rep can compile .jl's that require gtk

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- don't patch the Makefile

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.6 spec file update: added buildroot
